Interlaken
API referenceBilling and supportBilling

Create a dispute

POST
/api/v1/billing/disputes

Requires the billing:disputes_create permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/billing/disputes" \  -H "Content-Type: application/json" \  -d '{    "reason": "string"  }'
{  "amount_cents": 0,  "closed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",  "opened_by": "87f47c00-0f01-4a5c-9f08-31fa5aa554a6",  "reason": "string",  "resolution": "string",  "resolved_at": "2019-08-24T14:15:22Z",  "status": "string",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "updated_at": "2019-08-24T14:15:22Z"}